## org.eclipse.jetty.deploy.graph
Class Edge

    java.lang.Object
      org.eclipse.jetty.deploy.graph.Edge

    public final class Edge

extends Object

Basic Graph Edge

Constructor Summary
`Edge(Node from, Node to)`

Method Summary
`boolean` `equals(Object obj)`
`Node` `getFrom()`
`Node` `getTo()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Edge

    public Edge(Node from,
                Node to)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getFrom

    public Node getFrom()

### getTo

    public Node getTo()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.